---
date: 2020-09-29
id: aea39282-589d-49ab-8b50-c55c7681f500
title: TypeScript Arrays
---

# Syntax

``` typescript
var boolArray: boolean[];

boolArray = [true, false];
console.log(boolArray[0]); // true
console.log(boolArray.length); // 2
boolArray[1] = true;
boolArray = [false, false];

boolArray[0] = 'false'; // Error!
boolArray = 'false'; // Error!
boolArray = [true, 'false']; // Error!
```
